###############################################
# Do not Edit! Generated by:
# spec-builder version 0.13
###############################################

Name: gnome-session
Summary: GNOME session manager
Group: User Interface/Desktops
Version: 2.26.1
License: GPLv2+
URL: http://www.gnome.org
Release: 1.34.moblin2
Source0: http://download.gnome.org/sources/gnome-session/2.26/%{name}-%{version}.tar.bz2
Source1: gnome.desktop
Patch0: stop-unsetting-display-on-sanity-check.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: pkgconfig(pango)
BuildRequires: pkgconfig(xau)
BuildRequires: pkgconfig(libgnomeui-2.0)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(dbus-1)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(gnome-keyring-1)
BuildRequires: pkgconfig(libnotify)
BuildRequires: pkgconfig(gconf-2.0)
BuildRequires: pkgconfig(gnome-desktop-2.0)
BuildRequires: pkgconfig(xrandr)
BuildRequires: pkgconfig(xtrans)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xt)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(polkit-gnome)
BuildRequires: pkgconfig(libstartup-notification-1.0)

BuildRequires: desktop-file-utils
BuildRequires: usermode
BuildRequires: intltool
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: gettext

Requires(post): /bin/touch
Requires(post): /bin/touch

%description
gnome-session manages a GNOME desktop or GDM login session. It starts up
the other core GNOME components and handles logout and saving the session.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .stop-unsetting-display-on-sanity-check

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -regex ".*\\.la$" | xargs rm -f --
find %{buildroot} -regex ".*\\.a$"  | xargs rm -f --
desktop-file-install --vendor moblin \
                     --delete-original \
                     --dir %{buildroot}/usr/share/applications \
                     --add-category X-Moblin \
                     %{buildroot}/%{_datadir}/applications/session-properties.desktop

./mkinstalldirs %{buildroot}/%{_datadir}/xsessions/
install -m 644 %{SOURCE1} %{buildroot}/%{_datadir}/xsessions/

%find_lang gnome-session-2.0 || echo -n >> gnome-session-2.0.lang

mkdir -p %{buildroot}/%{_datadir}/doc/%{name}-%{version}
for f in `ls %{buildroot}/%{_datadir}/doc/`; do
	if [ -f %{buildroot}/%{_datadir}/doc/$f ]; then
		mv %{buildroot}/%{_datadir}/doc/$f %{buildroot}/%{_datadir}/doc/%{name}-%{version}
	fi
done

%clean
rm -rf %{buildroot}

%pre 
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/gnome-session.schemas \
    > /dev/null || :
fi

%preun 
if [ "$1" -gt 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/gnome-session.schemas \
    > /dev/null || :
fi

%post 
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/gnome-session.schemas \
  > /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache \
  --quiet %{_datadir}/icons/hicolor 2> /dev/null|| :

%postun -p /sbin/ldconfig

%files -f gnome-session-2.0.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%doc %{_mandir}/man*/*
%{_datadir}/gnome/autostart/*.desktop
%{_datadir}/applications/*.desktop
%{_datadir}/gnome-session/*.glade
%{_bindir}/gnome-session
%{_bindir}/gnome-session-properties
%{_bindir}/gnome-session-save
%{_bindir}/gnome-wm
%{_sysconfdir}/gconf/schemas/gnome-session.schemas
%{_datadir}/icons/hicolor/*/apps/session-properties.png
%{_datadir}/icons/hicolor/scalable/apps/session-properties.svg
%{_datadir}/pixmaps/splash/gnome-splash.png
%{_datadir}/xsessions/gnome.desktop
%dir %{_libdir}/gnome-session
%dir %{_libdir}/gnome-session/helpers
%{_libdir}/gnome-session/helpers/*
%{_sysconfdir}/xdg/autostart/at-spi-registryd-wrapper.desktop
%{_sysconfdir}/xdg/autostart/gnome-settings-daemon-helper.desktop


%changelog
* Tue Apr 21 2009 Ding Jian-feng <jian-feng.ding@intel.com> 2.26.1
- Upgrade to 2.26.1
* Tue Mar 17 2009 Ding Jian-feng <jian-feng.ding@intel.com> 2.26.0
- Upgrade to 2.26.0
* Fri Feb 20 2009 Xu Li <xu.li@intel.com> 2.25.91
- Upgrade to 2.25.91
- Make gnome.desktop non-executable
* Tue Jan  6 2009 Rusty Lynch <rusty.lynch@intel.com> 2.25.3
- Updating the patch to use gconftool-2 to start gconfd
* Tue Jan  6 2009 Rusty Lynch <rusty.lynch@intel.com> 2.25.3
- Manually overriding the %%make_install macro to work around broken desktop install
* Tue Jan  6 2009 Rusty Lynch <rusty.lynch@intel.com> 2.25.3
- Adding xsession desktop file to file list
* Tue Jan  6 2009 Rusty Lynch <rusty.lynch@intel.com> 2.25.3
- Adding a patch to stop unsetting the DISPLAY in an attempt to hide
  errors while calling gconf's sanity checker.  The new gconf sanity
  checker requires access to the DISPLAY so unsetting it is a sure way
  of triggering this fatal error 100%% of the time.
* Mon Jan  5 2009 Anas Nashif <anas.nashif@intel.com> 2.25.3
- Fixed file list
* Tue Dec 30 2008 Rusty Lynch <rusty.lynch@intel.com> 2.25.3
- Adding xesssions desktop file to file list
* Tue Dec 30 2008 Rusty Lynch <rusty.lynch@intel.com> 2.25.3
- Initial packaging of release 2.25.3
